> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/receivables/post-receivables-id-send/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Send a receivable via email POST https://api.sandbox.monite.com/v1/receivables/{receivable_id}/send Content-Type: application/json Reference: https://docs.monite.com/api/receivables/post-receivables-id-send ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Path parameters - `receivable_id` (string, required) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ### Body (application/json) This endpoint expects an object. - `body_text` (string, required) — Body text of the content - `subject_text` (string, required) — Subject text of the content - `recipients` (Recipients, optional) - `language` (string, optional, deprecated) — Lowercase ISO code of language ## Response ### 200 Successful Response - `mail_id` (string, required) ## Errors ### 400 Post Receivables ID Send Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 401 Post Receivables ID Send Request Unauthorized Error Unauthorized - `error` (ErrorSchema, required) ### 403 Post Receivables ID Send Request Forbidden Error Forbidden - `error` (ErrorSchema, required) ### 404 Post Receivables ID Send Request Not Found Error Not found - `error` (ErrorSchema, required) ### 409 Post Receivables ID Send Request Conflict Error Business logic error - `error` (ErrorSchema, required) ### 422 Post Receivables ID Send Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Receivables ID Send Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### Recipients - `bcc` (list of string, optional) - `cc` (list of string, optional) - `to` (list of string, optional) ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "body_text": "body_text", "subject_text": "subject_text" } ``` **Response** ```json { "mail_id": "mail_id" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/receivables/receivable_id/send" payload = { "body_text": "body_text", "subject_text": "subject_text" } headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/receivables/receivable_id/send'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"body_text":"body_text","subject_text":"subject_text"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/receivables/receivable_id/send" payload := strings.NewReader("{\n \"body_text\": \"body_text\",\n \"subject_text\": \"subject_text\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/receivables/receivable_id/send") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"body_text\": \"body_text\",\n \"subject_text\": \"subject_text\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/receivables/receivable_id/send") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"body_text\": \"body_text\",\n \"subject_text\": \"subject_text\"\n}") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/receivables/receivable_id/send', [ 'body' => '{ "body_text": "body_text", "subject_text": "subject_text" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/receivables/receivable_id/send"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"body_text\": \"body_text\",\n \"subject_text\": \"subject_text\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "body_text": "body_text", "subject_text": "subject_text" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/receivables/receivable_id/send")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```